Sign Up for Volunteer Opportunity
curl --request POST \
--url https://api.thefaithapp.com/v1/volunteer/opportunities/{id}/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"slot_id": 17,
"notes": "Available for the morning service."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({slot_id: 17, notes: 'Available for the morning service.'})
};
fetch('https://api.thefaithapp.com/v1/volunteer/opportunities/{id}/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/volunteer/opportunities/{id}/signup"
payload = {
"slot_id": 17,
"notes": "Available for the morning service."
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "You have successfully signed up!",
"data": {
"signup_id": 22,
"status": "approved",
"opportunity_id": 8
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Events & Volunteers
Sign Up for Volunteer Opportunity
Creates a pending or approved volunteer commitment for the authenticated member.
POST
/
v1
/
volunteer
/
opportunities
/
{id}
/
signup
Sign Up for Volunteer Opportunity
curl --request POST \
--url https://api.thefaithapp.com/v1/volunteer/opportunities/{id}/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"slot_id": 17,
"notes": "Available for the morning service."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({slot_id: 17, notes: 'Available for the morning service.'})
};
fetch('https://api.thefaithapp.com/v1/volunteer/opportunities/{id}/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/volunteer/opportunities/{id}/signup"
payload = {
"slot_id": 17,
"notes": "Available for the morning service."
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "You have successfully signed up!",
"data": {
"signup_id": 22,
"status": "approved",
"opportunity_id": 8
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Volunteer opportunity identifier.
Body
application/json
Was this page helpful?